com.google.gwt.xml.client

## Interface NamedNodeMap

    public interface NamedNodeMap

Represents a string-to-node map, used in `getAttributes`.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLength()` Returns the number of items in this `NamedNodeMap`.
`Node` `getNamedItem(java.lang.String name)` This method gets the item having the given name.
`Node` `item(int index)` This method gets the item at the index position.

### Method Detail

#### getLength

    int getLength()

Returns the number of items in this `NamedNodeMap`.

Returns:
  the number of items in this `NamedNodeMap`

#### getNamedItem

    Node getNamedItem(java.lang.String name)

This method gets the item having the given name.

Parameters:
  `name` - - the name used to look up the item
Returns:
  the item retrieved

#### item

    Node item(int index)

This method gets the item at the index position.

Parameters:
  `index` - - the index to retrieve the item from
Returns:
  the item retrieved